<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="m-4">
  <div class="pb-4">

    <div
      id="healthCheckListTitle"
      class="h2 pb-2 fw-bold"
      [innerText]="ipngMessage.HEALTH_STATE_TITLE">
    </div>

    <button
      ls-button
      [disabled]="true"
      [text]="ipngMessage.OPEN_NEW_MONITORING_WINDOW_BUTTON">
    </button>
  </div>

  <table
    aria-labelledby="healthCheckListTitle"
    class="bg-white mt-2 table table-striped table-borderless">
    <tbody>
      <tr *ngFor="let healthState of healthStates">
        <td class="col-icon-fixed-size">
          <button
            type="button"
            class="btn text-primary ms-2">
            <fa-icon [icon]="faRedo"></fa-icon>
          </button>
        </td>
        <td>
          {{ healthState.name }}
        </td>
        <td class="col-icon-fixed-size">
          <fa-icon class="text-success" *ngIf="healthState['isOk']" [icon]="faCheck"></fa-icon>
          <fa-icon class="text-danger" *ngIf="!healthState['isOk']" [icon]="commonIcons.CLOSE_ICON"></fa-icon>
        </td>
      </tr>
    </tbody>
  </table>
</div>
